import numpy as np
from .biological import BiologicalEvaluator


class LeukemiaEvaluator(BiologicalEvaluator):        
    def __call__(self, dataset, folder=None, show=True):
        if folder is None:
            folder = "{}_experiments".format(dataset)
        test_nfeats = np.array([1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 7070])
        return super().__call__(dataset, test_nfeats, folder=folder, show=show)
