from .colon import ColonLoader
from .leukemia import LeukemiaLoader
from .prostate_GE import Prostate_GELoader
from .gli_85 import GLI_85Loader

BioLoaders = {"colon": ColonLoader,
              "leukemia": LeukemiaLoader,
              "prostate_ge": Prostate_GELoader,
              "gli_85": GLI_85Loader}
