from .colon import ColonEvaluator
from .leukemia import LeukemiaEvaluator
from .prostate_GE import Prostate_GEEvaluator
from .gli_85 import GLI_85Evaluator

BioEvaluators = {"colon": ColonEvaluator,
                 "leukemia": LeukemiaEvaluator,
                 "prostate_ge": Prostate_GEEvaluator,
                 "gli_85": GLI_85Evaluator}
