import os
import time


def create_dir(folder):
    if not os.path.exists(folder):
        os.mkdir(folder)

        
def fit_and_time(fitclass):
    def timed(*args, **kw):
        ts = time.time()
        result = fitclass.fit(*args, **kw)
        te = time.time()
        fitclass.time_ = te - ts
        return result
    return timed
